Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 373)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 485)
@@ -191,537 +191,5 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E14E2B470C2CC05E00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2B480C2CC05E00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B30D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887EC60C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>547 64 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2CFC0C2CCF2900AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEE.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2CFD0C2CCF2900AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEE.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B40D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887EC50C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {813, 726}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>21 33 813 746 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2CCA0C2CCEB500AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEParser.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2CCB0C2CCEB500AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEParser.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B50D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E14E2CF90C2CCF2900AC18D0</string>
-							<string>E1887EC70C6F975A00F6CE00</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E14E2CCE0C2CCEB500AC18D0</string>
-							<string>E14E2CFA0C2CCF2900AC18D0</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>874 62 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2CFF0C2CCF2900AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEConfig.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2D000C2CCF2900AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEConfig.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B60D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887EC80C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {750, 482}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>84 244 750 502 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2BFF0C2CC81800AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEParser.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2C000C2CC81800AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEParser.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B70D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E14E2CA80C2CCE3400AC18D0</string>
-							<string>E1887EC90C6F975A00F6CE00</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E14E2C810C2CCD0C00AC18D0</string>
-							<string>E14E2C820C2CCD0C00AC18D0</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>874 62 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2BE60C2CC68A00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>NSArray.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2BE70C2CC68A00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>NSArray.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928B80D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ECA0C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>38 186 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2BEA0C2CC68A00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>NSString.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2BEB0C2CC68A00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>NSString.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928BA0D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ECC0C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>42 115 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2AD40C2B798C00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEServices.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2AD50C2B798C00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEServices.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928BC0D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ECE0C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>484 61 841 967 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2A1A0C28B65200AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>TestLocalizations.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2A1B0C28B65200AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>TestLocalizations.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928BD0D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ECF0C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>459 93 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2AD80C2B798C00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>CFLocale.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2AD90C2B798C00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>CFLocale.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928BF0D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ED10C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>107 123 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2ADE0C2B798C00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>CFBundle.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2ADF0C2B798C00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>CFBundle.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928C10D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ED30C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>84 144 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1C30C1A0C2372E400EAE48A</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1C30C1B0C2372E400EAE48A</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928C30D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ED50C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>835 61 841 967 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1C30A9A0C224B3A00EAE48A</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEWebKit.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1C30A9B0C224B3A00EAE48A</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEWebKit.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E19928C40D0A67CC00000901</string>
-						<key>history</key>
-						<array>
-							<string>E1887ED60C6F975A00F6CE00</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {867, 886}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>128 118 867 906 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1C30C470C23773000EAE48A</string>
+				<string>E10D793E0E29BB00001FEE6E</string>
 				<key>PBXProjectModuleLabel</key>
 				<string>APEInfo.rtfd</string>
@@ -731,5 +199,5 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1C30C480C23773000EAE48A</string>
+						<string>E10D793F0E29BB00001FEE6E</string>
 						<key>PBXProjectModuleLabel</key>
 						<string>APEInfo.rtfd</string>
@@ -737,8 +205,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E19928C50D0A67CC00000901</string>
+						<string>E10D79410E29BB0A001FEE6E</string>
 						<key>history</key>
 						<array>
-							<string>E1887ED70C6F975A00F6CE00</string>
+							<string>E10D793D0E29BAF1001FEE6E</string>
 						</array>
 					</dict>
@@ -756,5 +224,5 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>856 65 754 746 0 0 1680 1028 </string>
+				<string>793 85 754 746 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -833,11 +301,11 @@
 									<array>
 										<array>
-											<integer>60</integer>
-											<integer>56</integer>
+											<integer>40</integer>
+											<integer>39</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 518}, {298, 621}}</string>
+									<string>{{0, 433}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -899,5 +367,4 @@
 										<array>
 											<integer>7</integer>
-											<integer>6</integer>
 										</array>
 									</array>
@@ -999,6 +466,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E19928980D0A58F900000901</string>
-				<string>E19928990D0A58F900000901</string>
+				<string>E10D79370E29BA50001FEE6E</string>
+				<string>E10D79380E29BA50001FEE6E</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -1033,22 +500,8 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E19928AE0D0A58F900000901</string>
-		<string>E1C30C470C23773000EAE48A</string>
-		<string>E1C30A9A0C224B3A00EAE48A</string>
-		<string>E1C30C1A0C2372E400EAE48A</string>
-		<string>E14E2ADE0C2B798C00AC18D0</string>
-		<string>E14E2AD80C2B798C00AC18D0</string>
-		<string>E14E2A1A0C28B65200AC18D0</string>
-		<string>E14E2AD40C2B798C00AC18D0</string>
-		<string>E14E2BEA0C2CC68A00AC18D0</string>
-		<string>E14E2BE60C2CC68A00AC18D0</string>
-		<string>E14E2BFF0C2CC81800AC18D0</string>
-		<string>E14E2CFF0C2CCF2900AC18D0</string>
-		<string>E14E2CCA0C2CCEB500AC18D0</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E14E2CFC0C2CCF2900AC18D0</string>
-		<string>E14E2B470C2CC05E00AC18D0</string>
+		<string>/Volumes/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E10D793E0E29BB00001FEE6E</string>
 	</array>
 	<key>WindowString</key>
@@ -1270,5 +723,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E14E2A200C28B65200AC18D0</string>
+				<string>E10D79340E29BA43001FEE6E</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -1281,5 +734,5 @@
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1312,6 +765,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {359, 316}}</string>
-											<string>{{359, 0}, {443, 316}}</string>
+											<string>{{0, 0}, {357, 318}}</string>
+											<string>{{357, 0}, {445, 318}}</string>
 										</array>
 									</dict>
@@ -1328,6 +781,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {802, 316}}</string>
-											<string>{{0, 316}, {802, 289}}</string>
+											<string>{{0, 0}, {802, 318}}</string>
+											<string>{{0, 318}, {802, 287}}</string>
 										</array>
 									</dict>
@@ -1376,12 +829,12 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E19928A80D0A58F900000901</string>
+				<string>E181A9740E09FD9400953D84</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E19928A90D0A58F900000901</string>
-				<string>E19928AA0D0A58F900000901</string>
-				<string>E19928AB0D0A58F900000901</string>
-				<string>E19928AC0D0A58F900000901</string>
-				<string>E19928AD0D0A58F900000901</string>
-				<string>E19928AE0D0A58F900000901</string>
+				<string>E181A9750E09FD9400953D84</string>
+				<string>E181A9760E09FD9400953D84</string>
+				<string>E181A9770E09FD9400953D84</string>
+				<string>E181A9780E09FD9400953D84</string>
+				<string>E181A9790E09FD9400953D84</string>
+				<string>E181A97A0E09FD9400953D84</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1392,5 +845,5 @@
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1632,7 +1085,7 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E19928AF0D0A58F900000901</string>
+				<string>E10D79350E29BA43001FEE6E</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E19928B00D0A58F900000901</string>
+				<string>E10D79360E29BA43001FEE6E</string>
 			</array>
 			<key>ToolbarConfiguration</key>