Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 485)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 494)
@@ -260,6 +260,9 @@
 										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
+										<string>E14D2D8D0D7FD7AD00994500</string>
+										<string>E1BF159F03DBA81600050002</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>29B97323FDCFA39411CA2CEA</string>
 										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
@@ -267,5 +270,5 @@
 									<array>
 										<array>
-											<integer>7</integer>
+											<integer>24</integer>
 											<integer>6</integer>
 											<integer>0</integer>
@@ -292,5 +295,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1592 418 323 756 0 0 1920 1178 </string>
+								<string>1591 413 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -327,4 +330,5 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>E11F1C460F54529C003E0B38</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -332,6 +336,6 @@
 									<array>
 										<array>
-											<integer>12</integer>
-											<integer>7</integer>
+											<integer>1</integer>
+											<integer>0</integer>
 										</array>
 									</array>
@@ -432,6 +436,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E170482E0E2AF0CD006C3398</string>
-				<string>E170482F0E2AF0CD006C3398</string>
+				<string>E11F1C200F544A0E003E0B38</string>
+				<string>E11F1C210F544A0E003E0B38</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -464,9 +468,18 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>1C530D60069F1CE1000CFCEE</string>
+		<string>E11F1CB60F547516003E0B38</string>
+		<string>E11F1C860F546847003E0B38</string>
+		<string>E11F1C7F0F546831003E0B38</string>
+		<string>E11F1C800F546831003E0B38</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E15464670D5EB85000C836EC</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1592 418 323 756 0 0 1920 1178 </string>
+	<string>1591 413 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -636,5 +649,5 @@
 								<string>{{0, 0}, {775, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>816 251 775 228 0 0 1920 1178 </string>
+								<string>813 247 775 228 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -649,5 +662,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 131}, {775, 51}}</string>
+								<string>{{0, 5}, {775, 177}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -664,5 +677,5 @@
 								<string>{{0, 5}, {775, 182}}</string>
 								<key>RubberWindowFrame</key>
-								<string>816 251 775 228 0 0 1920 1178 </string>
+								<string>813 247 775 228 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -687,5 +700,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E17048300E2AF0CD006C3398</string>
+				<string>E11F1C280F544E5A003E0B38</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -694,9 +707,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>816 251 775 228 0 0 1920 1178 </string>
+			<string>813 247 775 228 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -781,8 +794,8 @@
 									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>11 181 807 570 0 0 1920 1178 </string>
+									<string>515 197 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>11 181 807 570 0 0 1920 1178 </string>
+								<string>515 197 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -807,16 +820,16 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E1E0B80A0E28883000D42D65</string>
+				<string>E11F1C5B0F546663003E0B38</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E1E0B80B0E28883000D42D65</string>
-				<string>E1E0B80C0E28883000D42D65</string>
-				<string>E1E0B80D0E28883000D42D65</string>
-				<string>E1E0B80E0E28883000D42D65</string>
-				<string>E1E0B80F0E28883000D42D65</string>
+				<string>E11F1C5C0F546663003E0B38</string>
+				<string>E11F1C5D0F546663003E0B38</string>
+				<string>E11F1C5E0F546663003E0B38</string>
+				<string>E11F1C5F0F546663003E0B38</string>
+				<string>E11F1C600F546663003E0B38</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>11 181 807 570 0 0 1920 1178 </string>
+			<string>515 197 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
@@ -845,5 +858,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string></string>
+										<string>&lt;No Editor&gt;</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -903,6 +916,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E16E73430DC7E5AE00E72DDC</string>
-				<string>E16E73440DC7E5AE00E72DDC</string>
+				<string>E11F1C720F5467C4003E0B38</string>
+				<string>E11F1C730F5467C4003E0B38</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -946,5 +959,5 @@
 								<string>{{0, 0}, {752, 555}}</string>
 								<key>RubberWindowFrame</key>
-								<string>472 155 752 596 0 0 1920 1178 </string>
+								<string>868 110 752 596 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -969,5 +982,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E1E0B8120E28885A00D42D65</string>
+				<string>E11F1C610F546663003E0B38</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -975,9 +988,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>472 155 752 596 0 0 1920 1178 </string>
+			<string>868 110 752 596 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1110,5 +1123,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E169C43D0D9C3E5F007347AE</string>
+				<string>E11F1C510F545361003E0B38</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1136,4 +1149,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1197,6 +1212,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1238,6 +1251,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E11CE7A10DB942FD004BED85</string>
-				<string>E11CE7A20DB942FD004BED85</string>
+				<string>E11F1C860F546847003E0B38</string>
+				<string>E11F1C870F546847003E0B38</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1248,5 +1261,5 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E11CE7A10DB942FD004BED85</string>
+			<string>E11F1C860F546847003E0B38</string>
 			<key>WindowToolIsVisible</key>
 			<false/>
@@ -1438,5 +1451,5 @@
 			<array>
 				<string>1C530D60069F1CE1000CFCEE</string>
-				<string>E15466500D5ED65900C836EC</string>
+				<string>E11F1CBC0F547533003E0B38</string>
 				<string>1CA6456E063B45B4001379D8</string>
 			</array>