Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 512)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 513)
@@ -17,12 +17,4 @@
 			<key>SUPERCLASS</key>
 			<string>NSPopUpButton</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>NSDisclosureButtonCell</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSButtonCell</string>
 		</dict>
 		<dict>
@@ -127,4 +119,25 @@
 		</dict>
 		<dict>
+			<key>CLASS</key>
+			<string>NSDisclosureButtonCell</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSButtonCell</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>clear</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>NJRHotKeyField</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTextField</string>
+		</dict>
+		<dict>
 			<key>ACTIONS</key>
 			<dict>
@@ -177,10 +190,4 @@
 		<dict>
 			<key>CLASS</key>
-			<string>NSObject</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
 			<string>NJRUnfocusableMovieView</string>
 			<key>LANGUAGE</key>
@@ -191,4 +198,10 @@
 		<dict>
 			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
 			<string>NJRIntervalField</string>
 			<key>LANGUAGE</key>
@@ -222,4 +235,12 @@
 			<key>SUPERCLASS</key>
 			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSTableView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSControl</string>
 		</dict>
 		<dict>
Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 512)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 513)
@@ -4,15 +4,15 @@
 <dict>
 	<key>IBFramework Version</key>
-	<string>629</string>
+	<string>677</string>
 	<key>IBLastKnownRelativeProjectPath</key>
-	<string>../../Pester.xcodeproj</string>
+	<string>../Pester.xcodeproj</string>
 	<key>IBOldestOS</key>
 	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>507</integer>
+		<integer>2</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>9B18</string>
+	<string>9J61</string>
 	<key>targetFramework</key>
 	<string>IBCocoaFramework</string>
Index: trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/classes.nib	(revision 512)
+++ trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/classes.nib	(revision 513)
@@ -1,34 +1,100 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {CLASS = NJRIntegerFilter; LANGUAGE = ObjC; SUPERCLASS = NSNumberFormatter; }, 
-        {
-            CLASS = NJRIntervalField; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {intervalUnits = NSPopUpButton; }; 
-            SUPERCLASS = NSTextField; 
-        }, 
-        {
-            ACTIONS = {
-                close = id; 
-                snooze = id; 
-                snoozeIntervalUnitsChanged = id; 
-                snoozeUntil = id; 
-                stopRepeating = id; 
-            }; 
-            CLASS = PSAlarmNotifierController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                dateField = NSTextField; 
-                intervalField = NSTextField; 
-                messageField = NSTextField; 
-                nextDateField = NSTextField; 
-                okButton = NSButton; 
-                snoozeButton = NSButton; 
-                snoozeIntervalField = NJRIntervalField; 
-            }; 
-            SUPERCLASS = NSWindowController; 
-        }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>close</key>
+				<string>id</string>
+				<key>snooze</key>
+				<string>NSButton</string>
+				<key>snoozeIntervalUnitsChanged</key>
+				<string>NSPopUpButton</string>
+				<key>snoozeUntil</key>
+				<string>NSMenuItem</string>
+				<key>stopRepeating</key>
+				<string>NSButton</string>
+			</dict>
+			<key>CLASS</key>
+			<string>PSAlarmNotifierController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>dateField</key>
+				<string>NSTextField</string>
+				<key>intervalField</key>
+				<string>NSTextField</string>
+				<key>messageField</key>
+				<string>NSTextField</string>
+				<key>nextDateField</key>
+				<string>NSTextField</string>
+				<key>okButton</key>
+				<string>NSButton</string>
+				<key>snoozeButton</key>
+				<string>NSButton</string>
+				<key>snoozeIntervalField</key>
+				<string>NJRIntervalField</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSWindowController</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSMenuItem</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NJRIntervalField</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>intervalUnits</key>
+				<string>NSPopUpButton</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NJRValidatingField</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NJRValidatingField</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTextField</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NJRIntegerFilter</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSNumberFormatter</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/info.nib	(revision 512)
+++ trunk/Cocoa/Pester/Source/English.lproj/Notifier.nib/info.nib	(revision 513)
@@ -1,57 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>5 6 356 240 0 0 1280 832 </string>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
-	<key>IBGroupedObjects</key>
-	<dict>
-		<key>1</key>
-		<array>
-			<string>64</string>
-			<string>80</string>
-		</array>
-		<key>2</key>
-		<array>
-			<string>66</string>
-			<string>79</string>
-			<string>82</string>
-		</array>
-	</dict>
-	<key>IBLastGroupID</key>
-	<string>3</string>
+	<string>677</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../Pester.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>4</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>5</integer>
+		<integer>8</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>6I32</string>
-	<key>IBUserGuides</key>
-	<dict>
-		<key>0</key>
-		<dict>
-			<key>guideLocations</key>
-			<array>
-				<string>Horizontal:64.000000</string>
-			</array>
-			<key>guidesLocked</key>
-			<false/>
-		</dict>
-		<key>5</key>
-		<dict>
-			<key>guideLocations</key>
-			<array>
-				<string>Horizontal:87.000000</string>
-				<string>Horizontal:108.000000</string>
-				<string>Horizontal:66.000000</string>
-				<string>Vertical:92.000000</string>
-				<string>Horizontal:133.000000</string>
-			</array>
-			<key>guidesLocked</key>
-			<false/>
-		</dict>
-	</dict>
+	<string>9J61</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>
Index: trunk/Cocoa/Pester/Source/NJRIntervalField.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRIntervalField.m	(revision 512)
+++ trunk/Cocoa/Pester/Source/NJRIntervalField.m	(revision 513)
@@ -65,4 +65,6 @@
             case 'm': case 'M': tag = 60; break;
             case 'h': case 'H': tag = 60 * 60; break;
+	    case 'd': case 'D': tag = 60 * 60 * 24; break;
+	    case 'w': case 'W': tag = 60 * 60 * 24 * 7; break;
             case 'u': case 'U': tag = -2; break;
             default: break;
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 512)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 513)
@@ -198,46 +198,5 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E126D5AE0D0003070024B2EA</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>PSAlarm.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E126D5AF0D0003070024B2EA</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>PSAlarm.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E126D5B10D0003070024B2EA</string>
-						<key>history</key>
-						<array>
-							<string>E126D5B00D0003070024B2EA</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {1052, 913}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>840 106 1052 933 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-	</array>
+	<array/>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -302,5 +261,7 @@
 										<string>29B97314FDCFA39411CA2CEA</string>
 										<string>080E96DDFE201D6D7F000001</string>
-										<string>F560E312035787E001A4E466</string>
+										<string>F560E314035787F901A4E466</string>
+										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>E19DCBE503BE516000B934BF</string>
 										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
@@ -308,12 +269,11 @@
 									<array>
 										<array>
-											<integer>11</integer>
-											<integer>7</integer>
-											<integer>1</integer>
+											<integer>58</integer>
+											<integer>57</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {334, 441}}</string>
+									<string>{{0, 645}, {334, 441}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -334,5 +294,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1565 182 351 527 0 0 1920 1178 </string>
+								<string>1085 346 351 527 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -475,6 +435,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E126D5AC0D0003070024B2EA</string>
-				<string>E126D5AD0D0003070024B2EA</string>
+				<string>E11C1C920FC9E123003DD57E</string>
+				<string>E11C1C930FC9E123003DD57E</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -509,9 +469,8 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E126D5AE0D0003070024B2EA</string>
 		<string>/Users/nicholas/Documents/Development/Pester/Source/Pester.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1565 182 351 527 0 0 1920 1178 </string>
+	<string>1085 346 351 527 0 0 1440 878 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -680,5 +639,5 @@
 								<string>{{0, 0}, {930, 253}}</string>
 								<key>RubberWindowFrame</key>
-								<string>629 565 930 535 0 0 1920 1178 </string>
+								<string>324 304 930 535 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -706,5 +665,5 @@
 								<string>{{0, 258}, {930, 236}}</string>
 								<key>RubberWindowFrame</key>
-								<string>629 565 930 535 0 0 1920 1178 </string>
+								<string>324 304 930 535 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -729,5 +688,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E19CC6530CFDF6940079DCFC</string>
+				<string>E17C124E0EF9D2B4002885BE</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -736,9 +695,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>629 565 930 535 0 0 1920 1178 </string>
+			<string>324 304 930 535 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -823,8 +782,8 @@
 									<string>{{445, 0}, {536, 380}}</string>
 									<key>RubberWindowFrame</key>
-									<string>843 200 981 759 0 0 1920 1178 </string>
+									<string>412 77 981 759 0 0 1440 878 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>843 200 981 759 0 0 1920 1178 </string>
+								<string>412 77 981 759 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -849,16 +808,16 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E19CC6130CFDF0FB0079DCFC</string>
+				<string>E17C124F0EF9D2B4002885BE</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E19CC6140CFDF0FB0079DCFC</string>
-				<string>E19CC6150CFDF0FB0079DCFC</string>
-				<string>E19CC6160CFDF0FB0079DCFC</string>
-				<string>E19CC6170CFDF0FB0079DCFC</string>
-				<string>E19CC6180CFDF0FB0079DCFC</string>
+				<string>E17C12500EF9D2B4002885BE</string>
+				<string>E17C12510EF9D2B4002885BE</string>
+				<string>E17C12520EF9D2B4002885BE</string>
+				<string>E17C12530EF9D2B4002885BE</string>
+				<string>E17C12540EF9D2B4002885BE</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>843 200 981 759 0 0 1920 1178 </string>
+			<string>412 77 981 759 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
@@ -986,5 +945,5 @@
 								<string>{{0, 0}, {1144, 216}}</string>
 								<key>RubberWindowFrame</key>
-								<string>677 91 1144 257 0 0 1920 1178 </string>
+								<string>258 71 1144 257 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -1009,5 +968,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E19CC6190CFDF0FB0079DCFC</string>
+				<string>E17C12550EF9D2B4002885BE</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1015,5 +974,5 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>677 91 1144 257 0 0 1920 1178 </string>
+			<string>258 71 1144 257 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 512)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 513)
@@ -3,12 +3,11 @@
 	089C165DFE840E0CC02AAC07 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {813, 899}}";
-			sepNavSelRange = "{145, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {813, 838}}";
+			sepNavSelRange = "{156, 0}";
 			sepNavVisRange = "{0, 229}";
-			sepNavWindowFrame = "{{15, 238}, {872, 935}}";
+			sepNavWindowFrame = "{{15, 4}, {872, 874}}";
 		};
 	};
 	29B97313FDCFA39411CA2CEA /* Project object */ = {
-		activeArchitecture = i386;
 		activeBuildConfigurationName = Release;
 		activeExecutable = E1B11F8D0CF5F30F004975AA /* Pester */;
@@ -75,5 +74,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 218257959;
+			PBXPerProjectTemplateStateSaveDate = 264888602;
 			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
 				ContentSize = "{618, 257}";
@@ -794,11 +793,9 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 218257959;
+			PBXWorkspaceStateSaveDate = 264888602;
 		};
 		perUserProjectItems = {
-			E126D5B00D0003070024B2EA = E126D5B00D0003070024B2EA /* PBXBookmark */;
-			E126D5B10D0003070024B2EA = E126D5B10D0003070024B2EA /* PBXTextBookmark */;
-			E16E5C100D025BD2003C85BE /* PBXBookmark */ = E16E5C100D025BD2003C85BE /* PBXBookmark */;
-			E16E5C110D025BD2003C85BE /* PBXTextBookmark */ = E16E5C110D025BD2003C85BE /* PBXTextBookmark */;
+			E17C12440EF9CEE0002885BE = E17C12440EF9CEE0002885BE /* PBXBookmark */;
+			E17C125E0EF9D4AD002885BE = E17C125E0EF9D4AD002885BE /* PBXTextBookmark */;
 		};
 		sourceControlManager = E1B11EDC0CF5F2EB004975AA /* Source Control */;
@@ -847,18 +844,4 @@
 		vrLen = 1001;
 		vrLoc = 30;
-	};
-	E126D5B00D0003070024B2EA /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */;
-	};
-	E126D5B10D0003070024B2EA /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */;
-		name = "PSAlarm.m: 220";
-		rLen = 0;
-		rLoc = 7368;
-		rType = 0;
-		vrLen = 1989;
-		vrLoc = 7123;
 	};
 	E130B91603B69C6300000028 /* PBXBookmarkGroup */ = {
@@ -898,8 +881,8 @@
 	E13919E303B9E4E100000028 /* NJRIntervalField.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {761, 946}}";
-			sepNavSelRange = "{2674, 0}";
-			sepNavVisRange = "{329, 2345}";
-			sepNavWindowFrame = "{{364, 159}, {820, 839}}";
+			sepNavIntBoundsRect = "{{0, 0}, {761, 1190}}";
+			sepNavSelRange = "{1198, 0}";
+			sepNavVisRange = "{655, 2028}";
+			sepNavWindowFrame = "{{364, 39}, {820, 839}}";
 		};
 	};
@@ -972,18 +955,4 @@
 		};
 	};
-	E16E5C100D025BD2003C85BE /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E1A18CAC03B4344C00000028 /* PSAlerts.m */;
-	};
-	E16E5C110D025BD2003C85BE /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1A18CAC03B4344C00000028 /* PSAlerts.m */;
-		name = "PSAlerts.m: 139";
-		rLen = 7;
-		rLoc = 3864;
-		rType = 0;
-		vrLen = 463;
-		vrLoc = 3555;
-	};
 	E17562BD0CF8E7D000FC5057 /* updates.xml */ = {
 		uiCtxt = {
@@ -1009,4 +978,18 @@
 			sepNavWindowFrame = "{{368, 43}, {1032, 1071}}";
 		};
+	};
+	E17C12440EF9CEE0002885BE /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E13919E303B9E4E100000028 /* NJRIntervalField.m */;
+	};
+	E17C125E0EF9D4AD002885BE /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13919E303B9E4E100000028 /* NJRIntervalField.m */;
+		name = "NJRIntervalField.m: 42";
+		rLen = 0;
+		rLoc = 1198;
+		rType = 0;
+		vrLen = 2028;
+		vrLoc = 655;
 	};
 	E17CA6640CF697FE00018B34 /* SetPortRGBForeColor */ = {
@@ -1392,7 +1375,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {960, 4408}}";
-			sepNavSelRange = "{13, 0}";
-			sepNavVisRect = "{{0, 0}, {960, 1091}}";
-			sepNavWindowFrame = "{{14, 48}, {999, 1128}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {960, 814}}";
+			sepNavWindowFrame = "{{14, 4}, {999, 874}}";
 		};
 	};
@@ -1568,8 +1551,8 @@
 	F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {993, 6776}}";
+			sepNavIntBoundsRect = "{{0, 0}, {993, 8344}}";
 			sepNavSelRange = "{7368, 0}";
-			sepNavVisRange = "{7123, 1965}";
-			sepNavWindowFrame = "{{840, 106}, {1052, 933}}";
+			sepNavVisRange = "{7123, 1405}";
+			sepNavWindowFrame = "{{375, 4}, {1052, 874}}";
 		};
 	};
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 512)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 513)
@@ -1149,5 +1149,5 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = NO;
-				CURRENT_PROJECT_VERSION = 24;
+				CURRENT_PROJECT_VERSION = 25;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(FRAMEWORK_SEARCH_PATHS_QUOTED_FOR_TARGET_1)",
@@ -1189,5 +1189,5 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = YES;
-				CURRENT_PROJECT_VERSION = 24;
+				CURRENT_PROJECT_VERSION = 25;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(FRAMEWORK_SEARCH_PATHS_QUOTED_FOR_TARGET_1)",