Index: /trunk/Cocoa/Pester/Documentation/index.rst
===================================================================
--- /trunk/Cocoa/Pester/Documentation/index.rst	(revision 539)
+++ /trunk/Cocoa/Pester/Documentation/index.rst	(revision 540)
@@ -7,5 +7,7 @@
 ==================================
 
+=============
 Pester  1.1b8
+=============
 UNRELEASED—do not distribute
 
@@ -21,5 +23,7 @@
 because they don’t work yet.
 
+-----------
 What is it?
+-----------
 
 Don’t want to miss the bus or train? Have a meeting coming up soon and want to
@@ -29,5 +33,7 @@
 
 
+------------
 Installation
+------------
 
 Pester should work on Mac OS X 10.4 or later; it has been tested on Mac OS X
@@ -43,5 +49,7 @@
 your Home folder.
 
+------------
 Usage
+------------
 
 Use Pester to set alarms for times in the future. Alarms that are scheduled to
@@ -89,5 +97,7 @@
 Remove.
 
+-------------
 More features
+-------------
 
 Pester includes a Dock menu, which you can access by Control (⌃)-clicking
@@ -100,5 +110,7 @@
 Pester is also fully Y3K-compliant. It can be comforting to know that even if you won’t be around then, if your Mac still works, so will Pester.
 
+--------------------------
 Frequently asked questions
+--------------------------
 
 Q. Why isn’t Pester a full-featured calendar/scheduling program? What use is it otherwise?
@@ -114,7 +126,10 @@
 A. Please see my Web page for details. Essentially: don’t pass it off as your own, and give me credit if you use all or part of it in your own software.
 
+--------------------------
 Version history
+--------------------------
 
 1.1 / forthcoming
+-----------------
 •	Requires Mac OS X 10.4 or later (Universal Binary).
 •	Fixed small memory leaks on alarm creation and with the “Remove” button in the alarm list window.
@@ -149,10 +164,13 @@
 •	Default to today’s date in the “at” section.
 •	Reduced Pester’s processor usage while alarms are pending, and while the “Set Alarm” window is open but hidden.
-•	Changed alarm storage to be more reliable, expandable and human-readable, if a bit slower. Conversion occurs at startup and is one-way (if you really need it to be two-way, the feature would not be hard to add).  The alarm list should no longer become lost with a message such as “2002-11-18 00:31:24.461 Pester[8545] An error occurred while attempting to restore the alarm list: *** Incorrect archive: unexpected byte”.
+•	Changed alarm storage to be more reliable, expandable and human-readable, if a bit slower. Conversion occurs at startup and is one-way (if you really need it to be two-way, the feature would not be hard to add).  The alarm list should no longer become lost with a message such as “2002-11-18 00:31:24.461 Pester[8545] An error occurred while attempting to restore the alarm list: \*\*\* Incorrect archive: unexpected byte”.
 •	Switched to apple-generic versioning (agvtool, etc.).  Xcode 2.4 or later is required to build Pester 1.1.
 •	Incorporated Sparkle for automatic updates.
 •	Creator code is now Pest instead of Pstr (the latter was already registered).
 
+--------------------------
 Still to be fixed for 1.1:
+--------------------------
+
 •	Dock bouncing doesn’t work when Pester is frontmost.
 •	Customizable alerts: AppleScript, playback of sounds, images and movies (anything QuickTime can handle).
@@ -165,8 +183,12 @@
 •	Extremely delayed alarm times can be huge (4....... years)
 
+----------------------------------------------------
 Known bugs in this version (not to be fixed by 1.1):
+----------------------------------------------------
 •	Type-selection of alarms by their dates and times in the alarm list only works well when the items in the list are in approximate alphabetical order; this breaks with certain date and time formats.
 
+-----------------------------------------------
 Additional features planned for later versions:
+-----------------------------------------------
 •	Better repeating alarms, such as a “real time” option so you can schedule an alarm to go off every hour, on the hour, for example.
 •	Better handling of non-repeating expired alarms—offer the option to have the alarms go off when Pester is restarted?
@@ -179,10 +201,14 @@
 
 1.0 / 14 October 2002
+---------------------
 Added alarm list, saved alarms, Dock icon/menu, live alarm time, other features.
 
 1.0d1 / 9 October 2002
+----------------------
 First public release.
 
+---------------------
 Acknowledgments
+---------------------
 
 Pester uses Andy Matuschak’s Sparkle, for which the following conditions apply: