Index: trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m	(revision 552)
+++ trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m	(revision 553)
@@ -1,5 +1,4 @@
 #import "NJRFSObjectSelector.h"
 #import "NSMenuItem-NJRExtensions.h"
-#import "NSImage-NJRExtensions.h"
 #import "NSString-NJRExtensions.h"
 #include <Carbon/Carbon.h>
@@ -81,10 +80,4 @@
     }
     return NO;
-}
-
-- (void)setImage:(NSImage *)image;
-{
-    // XXX change to use IconRef; see ICeCoffEELabeledIconCell and Google
-    [super setImage: [image bestFitImageForSize: [[self cell] cellSize]]];
 }
 
@@ -139,5 +132,5 @@
         NSMenuItem *item;
         if (path != nil) { // can resolve alias
-            [self setImage: [[NSWorkspace sharedWorkspace] iconForFile: path]];
+	    [self setImage: [[NSWorkspace sharedWorkspace] iconForFile: path]];
             {	// set image first so titleRectForBounds: returns the correct value
                 NSMutableString *title = [[fmgr displayNameAtPath: path] mutableCopy];
Index: trunk/Cocoa/Pester/Source/NSImage-NJRExtensions.h
===================================================================
--- trunk/Cocoa/Pester/Source/NSImage-NJRExtensions.h	(revision 552)
+++ 	(revision )
@@ -1,16 +1,0 @@
-//
-//  NSImage-NJRExtensions.h
-//  Pester
-//
-//  Created by Nicholas Riley on Mon Oct 28 2002.
-//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
-//
-
-#import <AppKit/AppKit.h>
-
-
-@interface NSImage (NJRExtensions)
-
-- (NSImage *)bestFitImageForSize:(NSSize)imageSize;
-
-@end
Index: trunk/Cocoa/Pester/Source/NSImage-NJRExtensions.m
===================================================================
--- trunk/Cocoa/Pester/Source/NSImage-NJRExtensions.m	(revision 552)
+++ 	(revision )
@@ -1,62 +1,0 @@
-//
-//  NSImage-NJRExtensions.m
-//  Pester
-//
-//  Created by Nicholas Riley on Mon Oct 28 2002.
-//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
-//
-
-#import "NSImage-NJRExtensions.h"
-
-
-@implementation NSImage (NJRExtensions)
-
-- (NSImage *)bestFitImageForSize:(NSSize)imageSize;
-{
-    NSSize repSize;
-    NSArray *imageReps;
-    int i, repCount;
-    NSImageRep *preferredRep, *rep;
-    imageReps = [self representations];
-    repCount = [imageReps count];
-    preferredRep = [imageReps objectAtIndex: 0];
-    for (i = 1 ; i < repCount ; i++) {
-        rep = [imageReps objectAtIndex: i];
-        repSize = [rep size];
-        if (repSize.width == imageSize.width && repSize.height == imageSize.height) {
-            preferredRep = rep;
-            break;
-        }
-        if (repSize.width >= imageSize.width || repSize.height >= imageSize.height) {
-            // pick the smallest of the larger representations
-            if (repSize.width <= [preferredRep size].width ||
-                repSize.height <= [preferredRep size].height) preferredRep = rep;
-        } else {
-            // or the largest of the smaller representations
-            if (([preferredRep size].width > imageSize.width ||
-                    [preferredRep size].height > imageSize.height) ||
-                // (assuming that the previous preferred rep was smaller, too)
-                // XXX fix this in HostLauncher too - or is the FSA code better?
-                (repSize.width >= [preferredRep size].width ||
-                    repSize.height >= [preferredRep size].height)) preferredRep = rep;
-        }
-    }
-    // Begin workaround code for bug in OS X 10.1 (removeRepresentation: has no effect)
-    if ([preferredRep size].width > imageSize.width || [preferredRep size].height > imageSize.height) {
-        NSImage *scaledImage = [[NSImage alloc] initWithSize: imageSize];
-        NSRect rect = { NSZeroPoint, imageSize };
-        [scaledImage setFlipped: [self isFlipped]]; // XXX this works, but is correct?
-        [scaledImage lockFocus];
-        [preferredRep drawInRect: rect];
-        [scaledImage unlockFocus];
-        return scaledImage;
-    } else if (repCount > 1) {
-        NSImage *sizedImage = [[NSImage alloc] initWithSize: [preferredRep size]];
-        [sizedImage addRepresentation: preferredRep];
-        return sizedImage;
-    } else {
-        return self;
-    }
-}
-
-@end
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 552)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 553)
@@ -109,5 +109,4 @@
 		E1B11F840CF5F30F004975AA /* CoreAudio.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = E18DAAEE0442D02500050002 /* CoreAudio.framework */; };
 		E1B121970CF62FD1004975AA /* NSMenuItem-NJRExtensions.m in Sources */ = {isa = PBXBuildFile; fileRef = E1B121960CF62FD1004975AA /* NSMenuItem-NJRExtensions.m */; };
-		E1B1219E0CF63858004975AA /* NSImage-NJRExtensions.m in Sources */ = {isa = PBXBuildFile; fileRef = E1B1219C0CF63858004975AA /* NSImage-NJRExtensions.m */; };
 		E1B121B40CF639A1004975AA /* QTKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = E1B121B30CF639A1004975AA /* QTKit.framework */; };
 /* End PBXBuildFile section */
@@ -232,6 +231,4 @@
 		E1B121950CF62FD1004975AA /* NSMenuItem-NJRExtensions.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSMenuItem-NJRExtensions.h"; sourceTree = "<group>"; };
 		E1B121960CF62FD1004975AA /* NSMenuItem-NJRExtensions.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSMenuItem-NJRExtensions.m"; sourceTree = "<group>"; };
-		E1B1219C0CF63858004975AA /* NSImage-NJRExtensions.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSImage-NJRExtensions.m"; sourceTree = "<group>"; };
-		E1B1219D0CF63858004975AA /* NSImage-NJRExtensions.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSImage-NJRExtensions.h"; sourceTree = "<group>"; };
 		E1B121B30CF639A1004975AA /* QTKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = QTKit.framework; path = /System/Library/Frameworks/QTKit.framework; sourceTree = "<absolute>"; };
 		E1B46FE804057E3400050002 /* NJRSplitView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = NJRSplitView.h; sourceTree = "<group>"; };
@@ -486,6 +483,4 @@
 				E16959290437A4A400050002 /* NSFont-NJRExtensions.h */,
 				E169592A0437A4A400050002 /* NSFont-NJRExtensions.m */,
-				E1B1219C0CF63858004975AA /* NSImage-NJRExtensions.m */,
-				E1B1219D0CF63858004975AA /* NSImage-NJRExtensions.h */,
 				F59E4C0E036B43D2016B311C /* QTMovie-NJRExtensions.h */,
 				F59E4C0D036B43D2016B311C /* QTMovie-NJRExtensions.m */,
@@ -909,5 +904,4 @@
 				E1B11F7D0CF5F30F004975AA /* NJRNonCenteringWindow.m in Sources */,
 				E1B121970CF62FD1004975AA /* NSMenuItem-NJRExtensions.m in Sources */,
-				E1B1219E0CF63858004975AA /* NSImage-NJRExtensions.m in Sources */,
 				E15044670CFCDC7E00DE47E9 /* NJRValidatingField.m in Sources */,
 			);